# make\_filename

### Description

The `make_filename` operator takes any text and turns it into a safe file name. Uppercase letters are turned to lowercase and illegal characters like e.g. `/`, `$`, `|`, `-`, or `$` are removed from the given text.

### Example: Filename from Just Text

```
make_filename("Holiday Pictures 2012 & 2013")
```

This will return a string that looks like this: `holiday_pictures_2012_2013`

### Example: Filename from Information

You can also use make\_filename in combination with other operators and information from a case.

```
p is Person
make_filename(
    JOIN(
        (
            p.date_of_birth,
            p.first_name + ' ' + p.last_name
        ),
        " - "
    )
)
```

If both pieces of information are known, you would get a string that could look like this:

`1987_02_28_thorben_croise`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/string-operators/make_filename.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
